// InitCardDlg.h : header file
//

#pragma once
#include "afxwin.h"

#include "rq.h"

// CInitCardDlg dialog
class CInitCardDlg : public CDialog
{
// Construction
public:
	CInitCardDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_INITCARD_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	bool assignCard(RQ_SecondaryIDs id);
	bool makeAbsolutelyCertain();

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton8();
private:
	CEdit m_resultCode;
public:
	CListBox m_NEWList;
	CListBox m_RQList;
	CListBox m_PRXList;
	CEdit m_RQserialNum;
	CEdit m_RQcalibrationFlags;
	CEdit m_PRXserialNum;
};
